﻿using Microsoft.Xna.Framework;

namespace KinPortal {
	public class SimpleObject : Object {
		public override Vector3 Pos {get; set;}
		public override Quaternion Rot {get; set;}

		public SimpleObject(string filepath, Vector3 pos, Quaternion rot, Scene scene)
				: base(filepath, scene) {
			Pos = pos;
			Rot = rot;
		}

		public SimpleObject(string filepath, Scene scene)
				: this(filepath, Vector3.Zero, Quaternion.Identity, scene) {}
	}
}
